Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class EJBConfigurationDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.EJBConfigurationDAO

    public class EJBConfigurationDAO

extends BaseDAO

Data access object managing persistence operations related to EJB configuration

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`EJBConfigurationDAO(HibernateConfig hbConfig)`

Method Summary
`void` | `addEJBConfiguration(EJBProviderDO ejbProviderDO)`
`void` | `deleteEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`EJBProviderDO` | `getEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`EJBProviderDO[]` | `getEJBConfigurations()`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBConfigurationDAO

    public EJBConfigurationDAO(HibernateConfig hbConfig)

Method Detail

### addEJBConfiguration

    public void addEJBConfiguration(EJBProviderDO ejbProviderDO)

### getEJBConfigurations

    public EJBProviderDO[] getEJBConfigurations()

### deleteEJBConfiguration

    public void deleteEJBConfiguration(java.lang.String beanJNDIName,
                                       java.lang.String jnpProviderUrl)

### getEJBConfiguration

    public EJBProviderDO getEJBConfiguration(java.lang.String beanJNDIName,
                                             java.lang.String jnpProviderUrl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD